use std::error::Error;

use futures::future::BoxFuture;

use super::Curator;

#[derive(Clone)]
pub struct AnyCurator;

impl Curator for AnyCurator {
    type Error = Box<dyn Error>;

    type Response = BoxFuture<'static, Result<bool, Self::Error>>;

    fn review(&self, _: String) -> Self::Response {
		Box::pin(async {Ok(true)})
    }
}
